Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui
Class ResourceHelper

    java.lang.Object
      net.sf.borg.ui.ResourceHelper

    public class ResourceHelper

extends Object

Helps parse resource strings (containing text and optional mnemonics and accelerators) for GUI widgets.

Author:
  membar

Constructor Summary
`ResourceHelper()`

Method Summary
`static void` | `addTab(JTabbedPane tabbedPane, String resourceKey, JComponent comp)` add a tab to a tabbed pane and its text and pnemonic
`static void` | `setText(AbstractButton button, String resourceKey)` set the text and pnemonic for a button
`static void` | `setText(JLabel label, String resourceKey)` set the text and pnemonic for a label
`static void` | `setText(JMenuItem mnuitm, String resourceKey)` set the text and pnemonic for a JMenuItem
`static void` | `setText(JMenu mnu, String resourceKey)` set the text and pnemonic for a JMenu

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHelper

    public ResourceHelper()

Method Detail

### setText

    public static void setText(JMenu mnu,
                               String resourceKey)

  set the text and pnemonic for a JMenu

  Parameters:
    `mnu` - the menu
    `resourceKey` - the resource string with optional pnemonic data

### setText

    public static void setText(JMenuItem mnuitm,
                               String resourceKey)

  set the text and pnemonic for a JMenuItem

  Parameters:
    `mnuitm` - the JMenuItem
    `resourceKey` - the resource string with optional pnemonic data

### setText

    public static void setText(AbstractButton button,
                               String resourceKey)

  set the text and pnemonic for a button

  Parameters:
    `button` - the button
    `resourceKey` - the resource string with optional pnemonic data

### setText

    public static void setText(JLabel label,
                               String resourceKey)

  set the text and pnemonic for a label

  Parameters:
    `label` - the label
    `resourceKey` - the resource string with optional pnemonic data

### addTab

    public static void addTab(JTabbedPane tabbedPane,
                              String resourceKey,
                              JComponent comp)

  add a tab to a tabbed pane and its text and pnemonic

  Parameters:
    `tabbedPane` - the tabbed pane
    `resourceKey` - the resource string with optional pnemonic data
    `comp` - the component to add as a tab

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic